Oracle VirtualBox при удалении требует старый дистрибутив

14 Oct 2017 | Автор: dd |

Стал тут ковырять старую добрую виртуалку под Oracle VirtualBox и с удивлением обранаружил, что в проге нет пары интересных фич, которые хотел было затестить.

oracle-virtualboxСтал думать почему и вспомнил, что я не обновлял сервак тыщу лет, т.ч у меня по прежнему стоит версия 4.3.20

Ну ладно, скачал новье 5.1.28, а оно при установке, на стадии сноса старой версии и говорит – я на это пойтить не могу, ибо не вижу файла C:\Users\XXXX\AppData\Local\Temp\VirtualBoxVirtualBox-4.3.20-r96997-MultiArch_x86.msi

вот так номер, подумалось мне и я попробовал его просто удалить руками из Удаления программ. Но с тем же успехом, т.ч пошел искать на офф.сайт старую версию 4.3.20, понимая,  что это конечно адовый трешак – удалять софт только с помощью стародавнего инсталлятора. Тем более неподдерживаемой версии.

На офф.сайте оказались только файлы exe, который после скачивания, надо запустить с ключиком -extract то есть жмем WIN + R и вводим в строку запуска C:\Users\XXX\Downloads\VirtualBox-4.3.20-96997-Win.exe -extract после чего файлик распаковывается по заданному маршруту и все нормально ставится.

VN:F [1.9.21_1169]
Rating: 4.2/10 (67 votes cast)
VN:F [1.9.21_1169]
Rating: +3 (from 19 votes)
Oracle VirtualBox при удалении требует старый дистрибутив, 4.2 out of 10 based on 67 ratings

Теги:

Отзывов: 3 на «Oracle VirtualBox при удалении требует старый дистрибутив»

  1. Автор: Андрей на 08 Oct 2018

    Спасибо, помогли….

    [Reply]

    VA:F [1.9.21_1169]
    Rating: 2.3/5 (4 votes cast)
    VA:F [1.9.21_1169]
    Rating: +1 (from 1 vote)
  2. Автор: Victor на 20 Mar 2019

    Помогло, правда этот фай нашёл не в первом дистрибутиве. Нашёл в этом: http://download.virtualbox.org/virtualbox/4.3.20/VirtualBox-4.3.20-96997-Win.exe

    [Reply]

    VA:F [1.9.21_1169]
    Rating: 2.3/5 (4 votes cast)
    VA:F [1.9.21_1169]
    Rating: 0 (from 0 votes)
  3. Автор: Сергей на 24 Mar 2021

    Аналогичная проблема. При попытке удалить VirtualBox 6.0.2 или установить новую версию установщих хочет VirtualBox64.msi. Рытаюсь скормить ему msi из разных версий VB. Без результата.
    Прошу помочь, если кто-то знает, как лечить.

    [Reply]

    VA:F [1.9.21_1169]
    Rating: 2.6/5 (5 votes cast)
    VA:F [1.9.21_1169]
    Rating: 0 (from 0 votes)

Ваш отзыв